package ecs.components;

import ecs.core.Component;

class Shape extends Component {
	public var type:res.types.Shape;
	public var stroke:Int;
	public var fill:Null<Int>;

	public function new(type, stroke, ?fill) {
		super();

		this.type = type;
		this.stroke = stroke;
		this.fill = fill;
	}
}
